
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was ROCclrConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/rocclr" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set_and_check( ROCCLR_INCLUDE_DIR "/usr/include/rocclr" )
set(ROCCLR_INCLUDE_DIRS
/usr/include/rocm-opencl
    ${ROCCLR_INCLUDE_DIR}
    ${ROCCLR_INCLUDE_DIR}/include
    ${ROCCLR_INCLUDE_DIR}/amdocl
    ${ROCCLR_INCLUDE_DIR}/elf )
set_and_check( ROCCLR_LIB_INSTALL_DIR "/usr/lib64" )
set( ROCCLR_COMPILE_DEFINITIONS "-DLITTLEENDIAN_CPU;-DWITH_LIQUID_FLASH=0;-DHAVE_CL2_HPP;-DOPENCL_MAJOR=2;-DOPENCL_MINOR=1;-DOPENCL_C_MAJOR=2;-DOPENCL_C_MINOR=0;-DCL_TARGET_OPENCL_VERSION=220;-DCL_USE_DEPRECATED_OPENCL_1_0_APIS;-DCL_USE_DEPRECATED_OPENCL_1_1_APIS;-DCL_USE_DEPRECATED_OPENCL_1_2_APIS;-DCL_USE_DEPRECATED_OPENCL_2_0_APIS;-DATI_OS_LINUX;-DATI_BITS_32;-DWITH_LIGHTNING_COMPILER;-DUSE_COMGR_LIBRARY;-DCOMGR_DYN_DLL;-DROCCLR_SUPPORT_NUMA_POLICY;-DWITH_HSA_DEVICE" )

check_required_components(ROCclr)
